POST /papi/v1/ramp/connect/buy/payment-method-list
Request Body
Field Type Mandatory Remarks fiatCurrency string Yes fiat currency cryptoCurrency string No crypto currency. Either cryptoCurrency or contractAddress must be provided. totalAmount string Yes Requested amount amountType int Yes Specify whether the total amount is in fiat:1 or crypto:2 language string No Language code, which determines the multi-language of the content(if any, such as "payment method name") in the response data. If not passed, English is the default. The format is "LanguageCode -RegionCode ", RegionCode is optional. network string No crypto network. Different networks will have different cryptoMinLimit fields. required if contractAddress has value contractAddress string No crypto contract address. required if buying a token that is not listed on Binance spot
Response Body
Data
Field Type Remarks paymentMethods object array Payment methods. Refer to PaymentMethodObject
PaymentMethodObject
Field Type Remarks payMethodCode string payment method code payMethodSubCode string payment method sub code paymentMethod string payment method display name fiatMinLimit string fiat min amount limit fiatMaxLimit string fiat max amount limit cryptoMinLimit string crypto min amount limit cryptoMaxLimit string crypto max amount limit p2p bool Indicate whether the payment method belongs to Binance P2P withdrawRestriction* int 0: no restriction1: T+1 restriction
*Please refer to
What Are the "T+1", "T+2", and "T+3" Withdrawal Limits?
Example 1
Request Parameters:
{
"fiatCurrency" : "EUR" ,
"cryptoCurrency" : "USDC" ,
"totalAmount" : "100" ,
"amountType" : 1 ,
"language" : "en-US" ,
"network" : "BSC"
}
Response:
{
"success" : true ,
"code" : "000000" ,
"message" : "success" ,
"data" : {
"paymentMethods" : [
{
"payMethodCode" : "BUY_WALLET" ,
"payMethodSubCode" : "Wallet" ,
"paymentMethod" : "Spot Account" ,
"fiatMinLimit" : "12.73251855" ,
"fiatMaxLimit" : "12500" ,
"cryptoMinLimit" : "10" ,
"cryptoMaxLimit" : "14669.77658106" ,
"p2p" : false ,
"withdrawRestriction" : 0
},
{
"payMethodCode" : "BUY_REVOLUT" ,
"payMethodSubCode" : "REVOLUT" ,
"paymentMethod" : "Revolut Pay" ,
"fiatMinLimit" : "12.73251855" ,
"fiatMaxLimit" : "5000" ,
"cryptoMinLimit" : "11.61208147" ,
"cryptoMaxLimit" : "5806.04073251" ,
"p2p" : false ,
"withdrawRestriction" : 0
},
{
"payMethodCode" : "BUY_CARD" ,
"payMethodSubCode" : "card" ,
"paymentMethod" : "Card (VISA/Mastercard)" ,
"fiatMinLimit" : "12.73251855" ,
"fiatMaxLimit" : "5000" ,
"cryptoMinLimit" : "11.6112052" ,
"cryptoMaxLimit" : "5805.60260158" ,
"p2p" : false ,
"withdrawRestriction" : 0
},
{
"payMethodCode" : "BUY_GOOGLE_PAY" ,
"payMethodSubCode" : "GOOGLE_PAY" ,
"paymentMethod" : "Google Pay (VISA/Mastercard)" ,
"fiatMinLimit" : "12.73251855" ,
"fiatMaxLimit" : "5000" ,
"cryptoMinLimit" : "11.6112052" ,
"cryptoMaxLimit" : "5805.60260158" ,
"p2p" : false ,
"withdrawRestriction" : 0
},
{
"payMethodCode" : "BUY_APPLE_PAY" ,
"payMethodSubCode" : "APPLE_PAY" ,
"paymentMethod" : "Apple Pay (VISA/Mastercard)" ,
"fiatMinLimit" : "12.73251855" ,
"fiatMaxLimit" : "5000" ,
"cryptoMinLimit" : "11.6112052" ,
"cryptoMaxLimit" : "5805.60260158" ,
"p2p" : false ,
"withdrawRestriction" : 0
},
{
"payMethodCode" : "BUY_P2P" ,
"payMethodSubCode" : "BANK" ,
"paymentMethod" : "Bank Transfer" ,
"fiatMinLimit" : "12.73251855" ,
"fiatMaxLimit" : "69116" ,
"cryptoMinLimit" : "10.7066" ,
"cryptoMaxLimit" : "74079.77696577" ,
"p2p" : true ,
"withdrawRestriction" : 1
},
{
"payMethodCode" : "BUY_P2P" ,
"payMethodSubCode" : "Cash" ,
"paymentMethod" : "Cash Payment" ,
"fiatMinLimit" : "10" ,
"fiatMaxLimit" : "1009" ,
"cryptoMinLimit" : "0.8543" ,
"cryptoMaxLimit" : "940.87" ,
"p2p" : true ,
"withdrawRestriction" : 1
},
{
"payMethodCode" : "BUY_P2P" ,
"payMethodSubCode" : "ALIPAY" ,
"paymentMethod" : "Alipay" ,
"fiatMinLimit" : "10" ,
"fiatMaxLimit" : "1009" ,
"cryptoMinLimit" : "0.8543" ,
"cryptoMaxLimit" : "940.87" ,
"p2p" : true ,
"withdrawRestriction" : 1
},
{
"payMethodCode" : "BUY_P2P" ,
"payMethodSubCode" : "Paypal" ,
"paymentMethod" : "PayPal" ,
"fiatMinLimit" : "10" ,
"fiatMaxLimit" : "1009" ,
"cryptoMinLimit" : "0.8543" ,
"cryptoMaxLimit" : "940.87" ,
"p2p" : true ,
"withdrawRestriction" : 1
}
]
}
}
Example 2
Request Parameters:
{
"fiatCurrency" : "EUR" ,
"totalAmount" : 100 ,
"amountType" : 1 ,
"contractAddress" : "0x09f4eBB8567ea0e969f10799CA678F9A172DC2Bb" ,
"network" : "BSC"
}
Response:
{
"success" : true ,
"code" : "000000" ,
"message" : "success" ,
"data" : {
"paymentMethods" : [
{
"payMethodCode" : "BUY_WALLET" ,
"payMethodSubCode" : "Wallet" ,
"paymentMethod" : "Spot Wallet" ,
"fiatMinLimit" : "15" ,
"fiatMaxLimit" : "10000" ,
"cryptoMinLimit" : "16.10699996" ,
"cryptoMaxLimit" : "10737.99997363" ,
"p2p" : false ,
"withdrawRestriction" : 0
},
{
"payMethodCode" : "BUY_CARD" ,
"payMethodSubCode" : "card" ,
"paymentMethod" : "Card (VISA/Mastercard)" ,
"fiatMinLimit" : "15" ,
"fiatMaxLimit" : "5000" ,
"cryptoMinLimit" : "16.10699996" ,
"cryptoMaxLimit" : "5368.99998681" ,
"p2p" : false ,
"withdrawRestriction" : 0
},
{
"payMethodCode" : "BUY_GOOGLE_PAY" ,
"payMethodSubCode" : "GOOGLE_PAY" ,
"paymentMethod" : "Google Pay" ,
"fiatMinLimit" : "15" ,
"fiatMaxLimit" : "5000" ,
"cryptoMinLimit" : "16.10699996" ,
"cryptoMaxLimit" : "5368.99998681" ,
"p2p" : false ,
"withdrawRestriction" : 0
},
{
"payMethodCode" : "BUY_APPLE_PAY" ,
"payMethodSubCode" : "APPLE_PAY" ,
"paymentMethod" : "Apple Pay" ,
"fiatMinLimit" : "15" ,
"fiatMaxLimit" : "5000" ,
"cryptoMinLimit" : "16.10699996" ,
"cryptoMaxLimit" : "5368.99998681" ,
"p2p" : false ,
"withdrawRestriction" : 0
},
{
"payMethodCode" : "BUY_P2P" ,
"payMethodSubCode" : "BANK" ,
"paymentMethod" : "Bank Transfer" ,
"fiatMinLimit" : "10" ,
"fiatMaxLimit" : "1009" ,
"cryptoMinLimit" : "0.8543" ,
"cryptoMaxLimit" : "940.87" ,
"p2p" : true ,
"withdrawRestriction" : 1
},
{
"payMethodCode" : "BUY_P2P" ,
"payMethodSubCode" : "Cash" ,
"paymentMethod" : "Cash Payment" ,
"fiatMinLimit" : "10" ,
"fiatMaxLimit" : "1009" ,
"cryptoMinLimit" : "0.8543" ,
"cryptoMaxLimit" : "940.87" ,
"p2p" : true ,
"withdrawRestriction" : 1
},
{
"payMethodCode" : "BUY_P2P" ,
"payMethodSubCode" : "ALIPAY" ,
"paymentMethod" : "Alipay" ,
"fiatMinLimit" : "10" ,
"fiatMaxLimit" : "1009" ,
"cryptoMinLimit" : "0.8543" ,
"cryptoMaxLimit" : "940.87" ,
"p2p" : true ,
"withdrawRestriction" : 1
},
{
"payMethodCode" : "BUY_P2P" ,
"payMethodSubCode" : "Paypal" ,
"paymentMethod" : "PayPal" ,
"fiatMinLimit" : "10" ,
"fiatMaxLimit" : "1009" ,
"cryptoMinLimit" : "0.8543" ,
"cryptoMaxLimit" : "940.87" ,
"p2p" : true ,
"withdrawRestriction" : 1
}
]
}
}
Example 3
Request Parameters:
{
"fiatCurrency" : "BRL" ,
"cryptoCurrency" : "USDC" ,
"totalAmount" : 100 ,
"amountType" : 1 ,
"network" : "BSC"
}
Response:
{
"code" : "000000" ,
"message" : "success" ,
"data" : {
"paymentMethods" : [
{
"payMethodCode" : "BUY_WALLET" ,
"payMethodSubCode" : "Wallet" ,
"paymentMethod" : "Spot Account" ,
"fiatMinLimit" : "81.1467441" ,
"fiatMaxLimit" : "86000" ,
"cryptoMinLimit" : "10" ,
"cryptoMaxLimit" : "15707.36039127" ,
"p2p" : false ,
"withdrawRestriction" : 0
},
{
"payMethodCode" : "BUY_LATAM_GATEWAY_ONLINE_BANKING_PIX" ,
"payMethodSubCode" : "LATAM_GATEWAY" ,
"paymentMethod" : "Bank Transfer (PIX)" ,
"fiatMinLimit" : "81.1467441" ,
"fiatMaxLimit" : "63000" ,
"cryptoMinLimit" : "10" ,
"cryptoMaxLimit" : "11437.74266192" ,
"p2p" : false ,
"withdrawRestriction" : 0
},
{
"payMethodCode" : "BUY_CARD" ,
"payMethodSubCode" : "card" ,
"paymentMethod" : "Card (VISA/Mastercard)" ,
"fiatMinLimit" : "100" ,
"fiatMaxLimit" : "60000" ,
"cryptoMinLimit" : "17.52411339" ,
"cryptoMaxLimit" : "10514.46803156" ,
"p2p" : false ,
"withdrawRestriction" : 0
},
{
"payMethodCode" : "BUY_P2P" ,
"payMethodSubCode" : "Pix" ,
"paymentMethod" : "Pix" ,
"fiatMinLimit" : "81.1467441" ,
"fiatMaxLimit" : "16674" ,
"cryptoMinLimit" : "10" ,
"cryptoMaxLimit" : "2880.84020217" ,
"p2p" : true ,
"withdrawRestriction" : 0
},
{
"payMethodCode" : "BUY_P2P" ,
"payMethodSubCode" : "BankBrazil" ,
"paymentMethod" : "Bank Transfer (Brazil)" ,
"fiatMinLimit" : "81.1467441" ,
"fiatMaxLimit" : "16674" ,
"cryptoMinLimit" : "10" ,
"cryptoMaxLimit" : "2880.84020217" ,
"p2p" : true ,
"withdrawRestriction" : 0
},
{
"payMethodCode" : "BUY_P2P" ,
"payMethodSubCode" : "PicPay" ,
"paymentMethod" : "PicPay" ,
"fiatMinLimit" : "81.1467441" ,
"fiatMaxLimit" : "16674" ,
"cryptoMinLimit" : "10" ,
"cryptoMaxLimit" : "2880.84020217" ,
"p2p" : true ,
"withdrawRestriction" : 0
}
]
},
"success" : true
}
About payment method "BUY_WALLET"
"BUY_WALLET" is a special payment method that allows users to buy crypto using the user's fiat
currency balance in Binance wallet.
For example, in some countries or regions, users can deposit fiat currency (such as euro - EUR) to
Binance. When the user has EUR balance in the Binance wallet, he can use EUR to buy crypto. We call
this payment method as "BUY_WALLET".
Last modified on July 7, 2026